function [y] = ftest5(x)
% *************************************************************************
% Test function attached to the FSEDA code
% *************************************************************************
% The FSEDA Code is created on March 27, 2019 by A. Hedar & A.A. Allam
% The code is modified on Sep. 20, 2020.
% *************************************************************************

% Drop Wave Function 
global noise nSample

sum1 = sum(x.^2);
frac1 = 1 + cos(12*sqrt(sum1));
frac2 = 0.5*sum1 + 2;
z = - frac1/frac2;

if noise == 0
    y = z;
elseif noise == 2
    y = z + mean(normrnd(0,0.2,[1,nSample]));
else
    y = z + normrnd(0,0.2);    
end

end