function [y] = ftest6(x)
% *************************************************************************
% Test function attached to the FSEDA code
% *************************************************************************
% The FSEDA Code is created on March 27, 2019 by A. Hedar & A.A. Allam
% The code is modified on Sep. 20, 2020.
% *************************************************************************

% Griewank Function 
global noise nSample

d = length(x);
sum = 0;
prod = 1;
for i = 1:d	
	prod = prod * cos(x(i)/sqrt(i));
    sum = sum + x(i)^2/4000;
end
z = sum - prod + 1;

if noise == 0
    y = z;
elseif noise == 2
    y = z + mean(normrnd(0,0.2,[1,nSample]));
else
    y = z + normrnd(0,0.2);    
end

end