function newP = subspace(S,Rsamp,c)
% *************************************************************************
% Subspace Generation Procedure
% An attached funtion to the FSEDA code
% *************************************************************************
% The FSEDA Code is created on March 27, 2019 by A. Hedar & A.A. Allam
% The code is modified on Sep. 20, 2020.
% *************************************************************************

m = size(S,1);
newP = [];
if m <= c
    newP = EEDA(S,Rsamp);
else
    t = floor(m/c);
    for i = 1 : t : t*c
        newP1 = EEDA(S(i:i+t-1,:),Rsamp);
        newP = [newP newP1] ;
    end
    if (t*c) < m
        newP1 = EEDA( S(t*c + 1: m,:),Rsamp);
        newP = [newP newP1] ;
    end
end
newP =newP';
   