function NewPop = uniGaussian(Psel,NPnew)
% *************************************************************************
% Gaussian Distribution Model Procedure
% An attached funtion to the FSEDA code
% *************************************************************************
% The FSEDA Code is created on March 27, 2019 by A. Hedar & A.A. Allam
% The code is modified on Sep. 20, 2020.
% *************************************************************************

%   Psel: the selected Pop(parents).
%   NPnew: number of ne Pop.
%   NewPop: the new Pop.

[mu,sigma] = normfit(Psel');
NewPop =  normrnd(repmat(mu,NPnew,1),repmat(sigma,NPnew,1));
NewPop = NewPop';
